//------------------------------------------------------------------------------
// <auto-generated>
//    Ce code a été généré à partir d'un modèle.
//
//    Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//    Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace PROJETMODELE.Models.DAL
{
    using System;
    using System.Collections.Generic;
    
    public partial class TG_Personnels
    {
        public TG_Personnels()
        {
            this.TP_Ouverture_Cloture_Caisse = new HashSet<TP_Ouverture_Cloture_Caisse>();
            this.TG_Utilisateurs = new HashSet<TG_Utilisateurs>();
        }
    
        public int ID_Personnel { get; set; }
        public int ID_Caisse { get; set; }
        public string Nom { get; set; }
        public string Prenom { get; set; }
        public System.DateTime Create_Date { get; set; }
        public System.DateTime Edit_Date { get; set; }
        public int Create_Code_User { get; set; }
        public int Edit_Code_User { get; set; }
        public bool Actif { get; set; }
        public bool Display { get; set; }
    
        public virtual TP_Caisse TP_Caisse { get; set; }
        public virtual ICollection<TP_Ouverture_Cloture_Caisse> TP_Ouverture_Cloture_Caisse { get; set; }
        public virtual ICollection<TG_Utilisateurs> TG_Utilisateurs { get; set; }
    }
}
